#construction-main-banner {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 100%;
  height: calc(var(--vh, 1vh) * 100);
  background-image: url('/Nhome/assets/images/business-introduction/construction/main-banner.jpg');
  background-size: cover;
  background-position: center;
}

.construction-main-banner-content {
  display: flex;
  flex-direction: column;
  transform: translateY(-50%);
  position: absolute;
  top: 50%;
  left: 0;
  right: 0;
  width: 100%;
  margin: 0 auto;
  justify-content: space-between;
  z-index: 10;
  box-sizing: border-box;
  align-items: start;
  gap: 40px;
}

.construction-main-banner-content h1,
.construction-main-banner-content p {
  text-shadow: 1px 2px 12px rgba(164, 187, 214, 0.8);
}

/* scroll down */
.next-section-scroll {
  display: flex;
  flex-direction: column;
  gap: 12px;
  justify-content: center;
  align-items: center;
  position: absolute;
  bottom: 32px;
  left: 50%;
  translate: -50% 0%;
  color: var(--white);
  z-index: 100;
  cursor: pointer;
  text-decoration: none;
}

@media (max-width: 767px) {
  .next-section-scroll {
    bottom: 20px;
  }
}

.next-section-scroll .interaction {
  width: 8px;
  height: 20px;
}

#construction-about {
  padding-top: 120px;
  padding-bottom: 180px;
}

@media (max-width: 1279px) {
  #construction-about {
    padding-top: 100px;
    padding-bottom: 160px;
  }
}

@media (max-width: 767px) {
  #construction-about {
    padding-top: 80px;
    padding-bottom: 120px;
  }
}

/* 시설관리 */
#facility-about {
  padding-top: 120px;
  padding-bottom: 180px;
}

@media (max-width: 1279px) {
  #facility-about {
    padding-top: 100px;
    padding-bottom: 160px;
  }
}

@media (max-width: 767px) {
  #facility-about {
    padding-top: 80px;
    padding-bottom: 120px;
  }
}

.accordion-container {
  margin-top: 80px;
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.accordion {
  padding: 60px 32px;
  overflow: hidden;
  background: #fafbfc;
  border-radius: 4px;
  border: 1px solid var(--gray-100);
}

@media (max-width: 1279px) {
  .accordion {
    padding: 60px 24px;
  }
}

.accordion-header {
  width: 100%;
  text-align: left;
  cursor: pointer;
}

.accordion-header p {
  margin-top: 24px;
}

.accordion-header-content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 12px;
}

.accordion-header-icon {
  width: 48px;
  height: 48px;
  fill: var(--gray-600);
  object-fit: contain;
  display: inline-block;
}

.accordion-content {
  max-height: 0;
  overflow: hidden;
  display: grid;
  grid-template-rows: auto auto auto;

  transition: max-height 0.4s ease, padding 0.4s ease;
}

@media (max-width: 1279px) {
  .accordion-content {
    row-gap: 0px;
  }
}

@media (max-width: 767px) {
  .accordion-content {
    row-gap: 0px;
  }
}

.accordion-content.open {
}

.accordion-grid {
  margin-top: 100px;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(240px, 1fr));
  gap: 24px;
}

.accordion-item {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.image-wrapper {
  position: relative;
  width: 100%;
  aspect-ratio: 550 / 358;
  overflow: hidden;
  border-radius: 4px;
  border: 1px solid var(--gray-200);
}

.image-wrapper img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.blur img {
  filter: blur(2px);
}

.image-overlay {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  padding: 20px 32px;
  border-radius: 4px;
  background-color: rgba(255, 255, 255, 0.6);
  outline: 3px var(--red-500) solid;
  outline-offset: -3px;
}

.accordion-item-content {
  width: 100%;
}

.accordion-item-content p {
  margin-top: 4px;
  color: var(--gray-600);
}

/* tablet 이하: 무조건 한 줄에 하나 */
@media (max-width: 1279px) {
  .accordion-grid {
    grid-template-columns: 1fr;
  }

  .image-wrapper {
    aspect-ratio: 725/358;
    max-width: none;
  }
}

@media (max-width: 767px) {
  .accordion-container {
    gap: 8px;
  }

  .accordion {
    padding: 32px 16px;
  }

  .accordion-header-icon {
    width: 36px;
    height: 36px;
    fill: var(--gray-600);
    object-fit: contain;
    display: inline-block;
  }

  .accordion-grid {
    margin-top: 60px;
  }

  .image-wrapper {
    aspect-ratio: 296/200;
    max-width: none;
  }

  .image-overlay {
    padding: 16px 32px;
  }
}

#real-estate-carousel {
  padding: 180px 80px;
  background: var(--gray-000);
}

.carousel-container {
  max-width: 100%;
  box-sizing: border-box;
  background: var(--gray-000);
}

.carousel {
  display: flex;
  align-items: center;
  position: relative;
  margin-top: 80px;
  z-index: 1;
}

.left {
  position: absolute;
  left: -36px;
  z-index: 10;
}

.left img {
  width: 36px;
  height: 36px;
}

.right {
  position: absolute;
  right: -36px;
  z-index: 10;
}

.right img {
  width: 36px;
  height: 36px;
}

.nav {
  opacity: 0;
  transition: opacity 0.3s;
  pointer-events: none;
}

.carousel:hover .nav {
  opacity: 1;
  pointer-events: auto;
}

.nav:disabled {
  opacity: 0.3;
  cursor: not-allowed;
}

.carousel-track-wrapper {
  overflow: hidden;
  flex-grow: 1;
}

.carousel-track {
  display: flex;
  transition: transform 0.5s ease-in-out;
  padding: 0;
  margin: 0;
  list-style: none;
  gap: 24px;
}

.carousel-item {
  flex: 0 0 calc((100% - (24px * 3)) / 4); /* 4개 고정 */
}

.bar {
  background: var(--gray-800);
  height: 100%;
  width: 0%;
  transition: width 0.5s ease-in-out;
}

@media (max-width: 1279px) {
  .carousel-track-wrapper {
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    -webkit-overflow-scrolling: touch;
  }

  .carousel-track-wrapper::-webkit-scrollbar {
    display: none;
  }

  .carousel-track {
    display: flex;
    gap: 24px;
    scroll-snap-type: x mandatory;
    scroll-behavior: smooth;
    padding-bottom: 12px;
    transform: none !important; /* JS에서 translateX 적용 방지 */
  }

  .carousel-item {
    scroll-snap-align: start;
    flex: 0 0 calc((100% - (24px * 3)) / 2.5); /* 4개 고정 */
    box-sizing: border-box;
  }

  .img-wrapper {
    position: relative;
    width: 100%;
    aspect-ratio: 422 / 540; /* 비율만 유지 */
    height: auto; /* 높이 제한 없음 */
  }

  .img-wrapper img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .carousel-item p {
    text-align: left;
    margin-top: 20px;
  }

  .indicator {
    margin-top: 80px;
    height: 4px;
    background: var(--gray-100);
    position: relative;
    width: 100%;
  }

  .nav {
    display: none !important; /* 좌우 버튼 제거 */
  }

  .bar {
    transition: none !important;
  }
}

/* 업무 프로세스 */
#construction-process {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 60px;
  padding-top: 120px;
  padding-bottom: 180px;
}

.construction-process-background {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-image: url('/Nhome/assets/images/business-introduction/construction/work-process-background.jpg');
  background-size: cover;
  background-position: center;
  opacity: 0.25;
  z-index: 0;
}

@media (max-width: 767px) {
  .construction-process-background {
    background-position: 15% center;
  }
}

.construction-process-overlay {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: var(--gray-000);
  z-index: 0;
}

@media (max-width: 1279px) {
  #construction-process {
    gap: 48px;
    padding-top: 100px;
    padding-bottom: 160px;
  }
}

.construction-process-title {
  z-index: 1;
}

.construction-process-content {
  display: grid;
  grid-template-columns: repeat(4, minmax(0, 1fr));
  gap: 48px;
  align-items: start;
  z-index: 1;
}

@media (max-width: 1279px) {
  .construction-process-content {
    row-gap: 12px;
    column-gap: 24px;
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }
}

@media (max-width: 767px) {
  .construction-process-content {
    grid-template-columns: repeat(1, 1fr);
    gap: 32px;
  }
}

.construction-process-content-card {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 340px;
  text-align: center;
}

.construction-process-content-card-title {
  display: flex;
  gap: 12px;
  margin-top: 24px;
  margin-bottom: 16px;
}

@media (max-width: 767px) {
  .construction-process-content-card-title {
    margin-top: 12px;
    margin-bottom: 8px;
  }
}

/* 대표 인테리어 */
#construction-representative-interior1,
#construction-representative-interior2 {
  display: flex;
  width: 100%;
  height: 100vh;
  /* scroll-snap-align: center; */
}

@media (max-width: 1279px) {
  #construction-representative-interior1,
  #construction-representative-interior2 {
    display: none;
  }
}

.construction-representative-interior-card {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: end;
  gap: 4px;
  flex: 1;
  min-height: 100vh;
  padding: 48px 24px;
  transition: flex 0.4s cubic-bezier(0.25, 0.46, 0.45, 0.94), opacity 0.4s ease,
    transform 0.4s ease, background-image 0.4s ease;
  cursor: pointer;
  overflow: hidden;
  color: var(--white);
}

.construction-representative-interior-card img,
.construction-representative-interior-card-tablet img {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.construction-representative-interior-card
  .construction-representative-interior-card-overlay {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(19, 20, 22, 0.3);
  transition: background-color 0.4s ease;
}

/* hover 효과 - 살짝 확장 */
.construction-representative-interior-card:hover {
  flex: 1.5;
}

.construction-representative-interior-card:hover
  .construction-representative-interior-card-overlay {
  background-color: rgba(19, 20, 22, 0.2);
}

.construction-representative-interior-card.clicked {
  flex: 4;
}

.construction-representative-interior-card.clicked.temp-mt {
  flex: 4;
  margin-top:-1px;
}

.construction-representative-interior-card.clicked
  .construction-representative-interior-card-overlay {
  background: linear-gradient(
    to bottom,
    rgba(19, 20, 22, 0) 0%,
    rgba(19, 20, 22, 0) 75%,
    rgba(19, 20, 22, 0.3) 90%
  );
  background-color: transparent;
}

.construction-representative-interior-card p,
.construction-representative-interior-card-tablet p {
  z-index: 1;
}

.construction-representative-interior-card
  .construction-representative-interior-card-description {
  visibility: hidden;
  opacity: 0;
  transition: visibility 0.4s ease, opacity 0.4s ease;
}

.construction-representative-interior-card.clicked
  .construction-representative-interior-card-description {
  opacity: 1;
  visibility: visible;
}

.construction-representative-interior-card-title {
  transition: all 0.4s ease;
}

.construction-representative-interior-card.clicked
  .construction-representative-interior-card-title {
  font-size: 60px;
  line-height: 86px;
}

@media (max-width: 1279px) {
  .construction-representative-interior-card.clicked
    .construction-representative-interior-card-title {
    font-size: 52px;
    line-height: 72px;
  }
}

@media (max-width: 767px) {
  .construction-representative-interior-card.clicked
    .construction-representative-interior-card-title {
    font-size: 36px;
    line-height: 50px;
  }
}

.construction-representative-interior-tablet {
  display: none;
  flex-direction: column;
  width: 100%;
  height: 100vh;
  /* scroll-snap-align: center; */
}

@media (max-width: 1279px) {
  .construction-representative-interior-tablet {
    display: flex;
  }
}

.construction-representative-interior-card-tablet {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: end;
  gap: 4px;
  flex: 1;
  padding: 32px 24px;
  transition: flex 0.4s cubic-bezier(0.25, 0.46, 0.45, 0.94), opacity 0.4s ease,
    transform 0.4s ease, background-image 0.4s ease;
  cursor: pointer;
  overflow: hidden;
  color: var(--white);
}

@media (max-width: 767px) {
  .construction-representative-interior-card-tablet {
    padding: 20px;
  }
}

.construction-representative-interior-card-tablet
  .construction-representative-interior-card-overlay {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: linear-gradient(
    to bottom,
    rgba(19, 20, 22, 0) 0%,
    rgba(19, 20, 22, 0) 75%,
    rgba(19, 20, 22, 0.3) 90%
  );
}